Package ghidra.graph.viewer

# Enum Class PathHighlightMode

java.lang.Object
java.lang.Enum<PathHighlightMode>
ghidra.graph.viewer.PathHighlightMode

All Implemented Interfaces:
  `Serializable`, `Comparable<PathHighlightMode>`, `Constable`

public enum PathHighlightMode extends Enum<PathHighlightMode>
An enum that lists possible states for highlighting paths between vertices in a graph.

See Also:
  - `VisualGraphPathHighlighter`

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `ALLCYCLE`
  Shows all cycles in the graph
  `CYCLE`
  Shows all cycles for a given vertex
  `IN`
  Shows all paths that can reach the given vertex
  `INOUT`
  Shows all paths coming into and out of a vertex
  `OFF`
  Shows no paths
  `OUT`
  Shows all paths reachable from the current vertex
  `PATH`
  Shows all paths between two vertices
  `SCOPED_FORWARD`
  Shows all paths that must have been traveled to reach the current vertex
  `SCOPED_REVERSE`
  Shows all paths that will be traveled after leaving the current vertex

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static PathHighlightMode`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static PathHighlightMode[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### ALLCYCLE

    public static final PathHighlightMode ALLCYCLE
    Shows all cycles in the graph

  - ### CYCLE

    public static final PathHighlightMode CYCLE
    Shows all cycles for a given vertex

  - ### IN

    public static final PathHighlightMode IN
    Shows all paths that can reach the given vertex

  - ### INOUT

    public static final PathHighlightMode INOUT
    Shows all paths coming into and out of a vertex

  - ### OFF

    public static final PathHighlightMode OFF
    Shows no paths

  - ### OUT

    public static final PathHighlightMode OUT
    Shows all paths reachable from the current vertex

  - ### PATH

    public static final PathHighlightMode PATH
    Shows all paths between two vertices

  - ### SCOPED_FORWARD

    public static final PathHighlightMode SCOPED_FORWARD
    Shows all paths that must have been traveled to reach the current vertex

  - ### SCOPED_REVERSE

    public static final PathHighlightMode SCOPED_REVERSE
    Shows all paths that will be traveled after leaving the current vertex

- ## Method Details

  - ### values

    public static PathHighlightMode[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static PathHighlightMode valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null